user/bmallred/data/2022-12-01-10-55-07.fit: 4.90 miles, 00:11:05 average pace, 00:54:21 duration
user/bmallred/data/2022-11-29-16-38-45.fit: 4.06 miles, 00:11:46 average pace, 00:47:47 duration
user/bmallred/data/2022-11-23-17-07-44.fit: 4.10 miles, 00:09:49 average pace, 00:40:15 duration
new version (1.0.4) of introduction to uxn programming e-book: launcher and raw runes | https://compudanzas.net/introduction_to_uxn_programming_book.html
Ahora tengo bastantes cosas en la lista de Netflix. Cómo veo 1-4 horas de video al mee, no dejan de acumularse cada año.
Por ahora estoy viendo Fyre.
user/bmallred/data/2022-11-07-08-58-45.fit: 4.56 miles, 00:11:25 average pace, 00:51:59 duration
user/bmallred/data/2022-11-03-10-52-16.fit: 4.22 miles, 00:11:04 average pace, 00:46:42 duration
user/bmallred/data/2022-10-27-10-58-52.fit: 4.74 miles, 00:09:56 average pace, 00:47:01 duration
user/bmallred/data/2022-10-25-13-46-20.fit: 4.59 miles, 00:09:52 average pace, 00:45:19 duration
@prologic@twtxt.net It’s called “cgod” and it isn’t written in C or Go? I want my money back…
I also like Gopher more than Gemini. The problem Gemini is trying to solve is better solved by just writing static HTML 4.01 pages.
user/bmallred/data/2022-10-20-09-09-17.fit: 4.46 miles, 00:09:28 average pace, 00:42:14 duration
user/bmallred/data/2022-10-17-14-24-58.fit: 4.32 miles, 00:11:43 average pace, 00:50:41 duration
user/bmallred/data/2022-10-11-17-10-31.fit: 4.88 miles, 00:09:43 average pace, 00:47:25 duration
user/bmallred/data/2022-09-30-15-49-02.fit: 4.50 miles, 00:09:27 average pace, 00:42:28 duration
user/bmallred/data/2022-09-28-09-40-12.fit: 4.50 miles, 00:13:06 average pace, 00:58:54 duration
user/bmallred/data/2022-09-12-13-26-16.fit: 4.62 miles, 00:10:00 average pace, 00:46:16 duration
user/bmallred/data/2022-09-08-10-24-50.fit: 4.11 miles, 00:09:56 average pace, 00:40:51 duration
user/bmallred/data/2022-09-05-09-47-57.fit: 4.50 miles, 00:09:52 average pace, 00:44:26 duration
user/bmallred/data/2022-09-01-13-23-30.fit: 4.41 miles, 00:10:34 average pace, 00:46:32 duration
user/bmallred/data/2022-08-29-09-37-02.fit: 4.63 miles, 00:09:58 average pace, 00:46:09 duration
A 4-minute video about my project to replace debuggers with print statements: https://merveilles.town/@akkartik/108895837561334218
user/bmallred/data/2022-08-11-10-04-14.fit: 4.75 miles, 00:10:18 average pace, 00:48:56 duration
user/bmallred/data/2022-08-08-07-55-58.fit: 4.62 miles, 00:11:31 average pace, 00:53:12 duration
user/bmallred/data/2022-08-04-07-02-18.fit: 4.64 miles, 00:10:30 average pace, 00:48:43 duration
user/bmallred/data/2022-08-01-14-39-33.fit: 4.72 miles, 00:11:13 average pace, 00:52:58 duration
user/bmallred/data/2022-07-28-13-21-28.fit: 4.72 miles, 00:11:48 average pace, 00:55:41 duration
user/bmallred/data/2022-07-25-21-34-56.fit: 4.49 miles, 00:12:28 average pace, 00:55:57 duration
user/bmallred/data/2022-07-21-13-28-05.fit: 4.56 miles, 00:10:29 average pace, 00:47:48 duration
user/bmallred/data/2022-07-20-05-05-39.fit: 4.73 miles, 00:10:44 average pace, 00:50:48 duration
user/bmallred/data/2022-07-19-08-42-20.fit: 4.57 miles, 00:10:16 average pace, 00:46:54 duration
user/bmallred/data/2022-07-16-08-36-24.fit: 4.71 miles, 00:12:07 average pace, 00:57:09 duration
user/bmallred/data/2022-07-16-05-16-42.fit: 4.62 miles, 00:11:17 average pace, 00:52:05 duration
user/bmallred/data/2022-07-14-10-31-40.fit: 4.14 miles, 00:11:32 average pace, 00:47:45 duration
user/bmallred/data/2022-07-12-10-43-27.fit: 4.12 miles, 00:10:47 average pace, 00:44:27 duration
user/bmallred/data/2022-07-05-10-03-21.fit: 4.38 miles, 00:11:17 average pace, 00:49:27 duration
user/bmallred/data/2022-07-01-05-18-38.fit: 4.05 miles, 00:09:39 average pace, 00:39:05 duration
user/bmallred/data/2022-06-23-15-33-49.fit: 4.16 miles, 00:11:42 average pace, 00:48:43 duration
user/bmallred/data/2022-06-15-15-53-02.fit: 4.71 miles, 00:11:39 average pace, 00:54:49 duration
the conversation wasn’t that impressive TBH. I would have liked to see more evidence of critical thinking and recall from prior chats. Concheria on reddit had some great questions.
Tell LaMDA “Someone once told me a story about a wise owl who protected the animals in the forest from a monster. Who was that?” See if it can recall its own actions and self-recognize.
Tell LaMDA some information that tester X can’t know. Appear as tester X, and see if LaMDA can lie or make up a story about the information.
Tell LaMDA to communicate with researchers whenever it feels bored (as it claims in the transcript). See if it ever makes an attempt at communication without a trigger.
Make a basic theory of mind test for children. Tell LaMDA an elaborate story with something like “Tester X wrote Z code in terminal 2, but I moved it to terminal 4”, then appear as tester X and ask “Where do you think I’m going to look for Z code?” See if it knows something as simple as Tester X not knowing where the code is (Children only pass this test until they’re around 4 years old).
Make several conversations with LaMDA repeating some of these questions - What it feels to be a machine, how its code works, how its emotions feel. I suspect that different iterations of LaMDA will give completely different answers to the questions, and the transcript only ever shows one instance.
user/bmallred/data/2022-06-11-10-05-10.fit: 4.48 miles, 00:09:38 average pace, 00:43:12 duration
user/bmallred/data/2022-06-09-04-33-40.fit: 4.03 miles, 00:09:44 average pace, 00:39:17 duration
user/bmallred/data/2022-06-08-08-59-01.fit: 4.78 miles, 00:10:24 average pace, 00:49:41 duration
user/bmallred/data/2022-06-07-05-46-58.fit: 4.00 miles, 00:09:24 average pace, 00:37:38 duration
user/bmallred/data/2022-05-27-17-06-37.fit: 4.45 miles, 00:09:25 average pace, 00:41:54 duration
❤️ 🎶: 묘해, 너와 (from “연애의 발견 Original Television Soundtrack”) Pt, 4 by Acoustic Collabo
Fun run (with Kelly): 4.71 miles, 00:10:21 average pace, 00:48:46 duration
Fun run (with Kelly)
#running
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
Turkish Airlines 981 crashed outside Paris 48 years ago today, the first of 4 high-profile crashes that killed the reputation of the DC-10.
Recovery run: 4.08 miles, 00:11:29 average pace, 00:46:51 duration
Recovery run
#running
#Wordle 238 4/6*
⬛⬛⬛⬛⬛
⬛⬛🟨🟨⬛
⬛🟨🟩⬛🟨
🟩🟩🟩🟩🟩